Naivete Precedes Misrepresentation

    @joinflux/capacitor-segment
    TypeScript icon, indicating that this package has built-in type declarations

    1.0.0 • Public • Published

    capacitor-segment logo

    capacitor-segment

    A Capacitor plugin for Segment analytics

    Install

    npm install @joinflux/capacitor-segment
    
    # yarn
    yarn add @joinflux/capacitor-segment
    
    # pnpm
    pnpm add @joinflux/capacitor-segment

    and

    npx cap sync

    Capacitor 3 vs Capacitor 4

    • Version 0.1.3 will target the latest Capacitor version
      • Capacitor 3 is recommended for this version
    • Version 1.0.0 will target Capacitor 4

    API

    initialize(...)

    initialize(options: InitializeOptions) => any
    Param Type
    options { key: string; trackLifecycle?: boolean; recordScreenViews?: boolean; }

    Returns: any


    identify(...)

    identify(options: IdentifyOptions) => any
    Param Type
    options Identity & { traits?: any; options?: any; }

    Returns: any


    track(...)

    track(options: TrackOptions) => any
    Param Type
    options { eventName: string; properties: any; }

    Returns: any


    page(...)

    page(options: PageOptions) => any
    Param Type
    options { pathname: string; }

    Returns: any


    reset()

    reset() => any

    Returns: any


    License

    MIT License

    Install

    npm i @joinflux/capacitor-segment

    DownloadsWeekly Downloads

    34

    Version

    1.0.0

    License

    MIT

    Unpacked Size

    45.6 kB

    Total Files

    26

    Last publish

    Collaborators

    • gugahoi
    • nevulo